<?php
//session_start();
include_once("../includes/config.php");
if(isset($_POST) && !empty($_POST)){
	
	//extract($_POST);
	//$email_to = "info@urbanavenues.in";
	$email_to = "info.urbanavenues@gmail.com";
	
	//check if its an ajax request, exit if not
    if(!isset($_SERVER['HTTP_X_REQUESTED_WITH']) AND strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) != 'xmlhttprequest') {
	  $output = json_encode(array( //create JSON data
		  'type'=>'error',
		  'text' => 'Sorry Request must be Ajax POST'
	  ));
	  die($output); //exit script outputting json data
    }
	
	//Sanitize input data using PHP filter_var().
    $name		= isset($_POST["name"]) ? filter_var($_POST["name"], FILTER_SANITIZE_STRING) : "";
	$email		= isset($_POST["email"]) ? filter_var($_POST["email"], FILTER_SANITIZE_EMAIL) : "";
	$mobile		= isset($_POST["mobile"]) ? filter_var($_POST["mobile"], FILTER_SANITIZE_NUMBER_INT) : "";
	$message	= isset($_POST["message"]) ? filter_var($_POST["message"], FILTER_SANITIZE_STRING) : "";
   
    //additional php validation
    if(strlen($name)<2){ // If length is less than 4 it will output JSON error.
        $output = json_encode(array('type'=>'error', 'text' => 'Your Name is too short or empty!'));
        die($output);
    }
    if(!filter_var($email, FILTER_VALIDATE_EMAIL)){ //email validation
        $output = json_encode(array('type'=>'error', 'text' => 'Please enter a valid email!'));
        die($output);
    }    
    if(!filter_var($mobile, FILTER_SANITIZE_NUMBER_FLOAT)){ //check for valid numbers in phone number field
        $output = json_encode(array('type'=>'error', 'text' => 'Enter only digits in phone number'));
        die($output);
    }
	
	$mes_mail = "
	<table width='50%' border='0' cellspacing='8' cellpadding='4' align='center' style='border:#00CCFF solid 3px; color:#333333;'>
		<tr>
			<td>
				<div>&nbsp;</div>
				<div><b>Name : ".$name."</b></div>
				<div>&nbsp;</div>
				<div><b>Email : ".$email."</b></div>
				<div>&nbsp;</div>
				<div><b>Phone Number : ".$mobile."</b></div>
				<div>&nbsp;</div>";
	
	if(isset($message) && !empty($message)){
		$mes_mail .= 
				"<div><b>Message : ".$message."</b></div>
				<div>&nbsp;</div>";
	}
	$mes_mail .= 
				"<div><b>Website : ".$_SERVER['HTTP_HOST']."</b></div>
				<div>&nbsp;</div>
				<div><b>Project : ".$projectname."</b></div>
				<div>&nbsp;</div>
				<div><b>IP : ".$_SERVER['REMOTE_ADDR']."</b></div>
				<div>&nbsp;</div>
			</td>
		</tr>
	</table>";
	
	$sub = "[LEAD RECEIVED] - " . $_SERVER['HTTP_HOST'];
	
	$headers  = "From: New Lead<".$mail_main.">" . "\r\n";
	$headers  = "Reply-To: info.urbanavenues@gmail.com" . "\r\n";
	$headers .= "MIME-Version: 1.0" . "\r\n";
	//$headers .= "CC: marketing@urbanavenues.in" . "\r\n";
	$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
	
	$send_mail = mail($email_to, $sub, $mes_mail, $headers);
	
	if(!$send_mail) {
	  $output = json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please try later.'));
	  die($output);
    }else{
	  $output = json_encode(array('type'=>'success', 'text' => "You'll receive a call shortly. For queries, feel free to call $call_main."));
	  die($output);
    }
	
}
?>